Серіктестерге арналған API › Ақпарат Қара тізімге жазбаны қосу POST /api/crm/v2/black_list.addv2
operationId: blackList.add
Қара тізімге жазба қосады. type_lock сұраныс денесінде қай идентификатор күтілетінін анықтайды: phone_number, client_branch_profile_id немесе client_account_id. Бір желі шегіндегі қайталанатын жазба қабылданбайды.
Авторизация api-token + language + role
Сұраныс денесі application/json object
type_lock string міндетті
Мәндер: phone_numberclient_branch_profile_idclient_account_id
Мысал: phone_number
Бір нұсқа
blackListOneOf
object (blackListOneOf)
Бір нұсқа
object object object
object
Бұғаттау phone_number бойынша
phone_format_id integer (PhoneFormatId) міндетті
Ел коды: 1-🇷🇺(+7|8), 2-🇦🇿(+994|0), 3-🇧🇾(+375|80), 4-🇰🇿(+7|8), 6-🇷🇸(+381|0), 7-🇹🇷(+90|0), 8-🇺🇦(+380|0), 9-🇵🇹(+351|0), 10-🇰🇬(+996|0), 11-🇺🇸(+1), 12-🇫🇷(+33|0), 13-🇲🇩(+373|0), 15-🇪🇪(+372), 18-🇬🇪(+995), 19-🇺🇿(+998), 22-🇵🇱(+48|0), 23-🇹🇯(+992|8), 25-🇷🇴(+40|0), 44-🇨🇭(+41|0)
Мысал: 1
phone_number string міндетті
Мысал: 705-712-51-20
object
Бұғаттау client_branch_profile_id бойынша
client_branch_profile_id integer міндетті
Клиенттің филиалдағы профилінің ID
Мысал: 48997963
object
Бұғаттау client_account_id бойынша
client_account_id integer міндетті
Мысал: 4211309
Жауаптар 200
object
status string міндетті
Мәндер: successerror
Мысал: success
data object
description string
Мысал: Successfully added
row object
chain_id integer
Мысал: 7135
date string (DataTimeFormatSQL)
Мысал: 2024-05-02 08:31:16
phone_format_id integer
Мысал: 4
phone_number string
Мысал: 7057125119
client_account_id integer
Мысал: 0
client_branch_profile_id integer
Мысал: 0
blocked boolean
Мысал: true
curl PHP JavaScript Python Көшіру
curl -X POST 'https://foodsoul.ru/api/crm/v2/black_list.add' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: kk' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"phone_format_id":1,"phone_number":"705-712-51-20"}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/black_list.add' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'kk' ,
'role' => 'partner' ,
],
'json' => [
'phone_format_id' => 1 ,
'phone_number' => '705-712-51-20' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/black_list.add" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "kk" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20"
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/black_list.add" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "kk" ,
"role" : "partner" ,
},
json ={
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20" ,
},
)
data = response . json () Жауап 200
{
"status" : "success" ,
"data" : {
"description" : "Successfully added" ,
"row" : {
"chain_id" : 7135 ,
"date" : "2024-05-02 08:31:16" ,
"phone_format_id" : 4 ,
"phone_number" : "7057125119" ,
"client_account_id" : 0 ,
"client_branch_profile_id" : 0 ,
"blocked" : true ,
"id" : "82348"
}
}
} Сұраныстар foodsoul.ru — осы порталдың хостына жіберіледі, басқа хостты таңдау мүмкін емес.